function [Val, TC, NbLignes, Nb_err, TC_err] = charge_tacle(nom_fich);

% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%	FUNCTION du programme plot_tac, charge les valeurs des 
%  paramtres vido issus de tacle
%
%  Remarque : suppose les fichiers .tac au nouveau format (36 colonnes)
%
%  Exemple :
%   [Val, TC, NbLignes, Nb_err, TC_err] = charge_tacle('d:\tacle\18.tac');
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%														
%	date : 5 mai 2000
%	auteur : Christophe Savariaux								
% 	ICP - Grenoble		
%														
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

fin=fopen(nom_fich,'r');

if (fin == -1)
   errordlg('Pb a l''ouverture du fichier de parametres (.tac) !!!!','Erreur','on');
   Val = 0; TC = 0; NbLignes = 0; TC_err = 0; Nb_err = 0;
   return;
end

% On saute les 7 premieres lignes
for i=1:7
   fgetl(fin);
end

%on initialise les variables
NbLignes = 0;
Nb_err = 0;
TC_err = [];

while 1
   NbLignes = NbLignes + 1;
   TC_tmp(:,NbLignes) = fscanf(fin, '%c', 11); % on recupere le time-code
   Trame_tmp(:,NbLignes) = fscanf(fin, '%c', 2); % on recupere la trame
   if (Trame_tmp(2,NbLignes) == 'A'); % rcupre la trame 0 si A, 1 si B
      Trame = 0;
   else
      Trame = 1;
   end
   TC(NbLignes,:)= [str2num(TC_tmp(2,NbLignes)) 10*str2num(TC_tmp(4,NbLignes))+str2num(TC_tmp(5,NbLignes)) 10*str2num(TC_tmp(7,NbLignes))+str2num(TC_tmp(8,NbLignes)) ...
         10*str2num(TC_tmp(10,NbLignes))+str2num(TC_tmp(11,NbLignes)) Trame];
   Val(:,NbLignes) = fscanf(fin, '%f', 36); % on recupere les valeurs
   saut = fscanf(fin, '%c', 2); % on saute les caracteres de fin de ligne
   
   % on teste si on est a la fin du fichier
   fscanf(fin, '%c', 1);
   if (feof(fin) == 1) % on sort
      break
   else      % sinon on recule d'un element
      fseek(fin,-1,0);
   end   
end

fclose(fin);

% On verifie s'il y a des erreurs dans le fichier .tac
% Plus necessaire avec la nouvelle version de capture
%for i = 1:NbLignes-8
%   if Val(8:10,i) == Val(8:10,i+8) % on suppose qu'il n'y a pas de 0 pdt 8 trames
%     Nb_err = Nb_err+1;
%     TC_err(Nb_err,:) = TC(i+8,:);
%   end
%end

