function [wav, Fs] = charge_wav(fichier)

% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%	Nom : charge_wav													
%	Permet de lire les fichiers Wav issus de Windows
%   pas tjs le cas avec wavread de matlab
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%														
%	date : 9 mai 2000
%	auteur : Christophe Savariaux								
% 	ICP - Grenoble		
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

fid = fopen(fichier,'rb');

if (fid == -1)
   errordlg('Pb a l''ouverture du fichier son (.wav) !!!!');
   wav=0;
   return  
else
	% read riff chunk
	header=fread(fid,4,'uchar');
	header=fread(fid,1,'ulong');
	header=fread(fid,4,'uchar');
	
	% read format sub-chunk
	header=fread(fid,4,'uchar');
	header=fread(fid,1,'ulong');
	
	Format(1)=fread(fid,1,'ushort');                % PCM format 
	Format(2)=fread(fid,1,'ushort');                % 1 channel
	Fs=fread(fid,1,'ulong');       % samples per second
	Format(3)=Fs;
	Format(4)=fread(fid,1,'ulong'); % average bytes per second
	Format(5)=fread(fid,1,'ushort');                % block alignment
	Format(6)=fread(fid,1,'ushort');                % bits per sample
	
	
	% read data sub-chunck
	header=fread(fid,4,'uchar');
	nsamples=fread(fid,1,'ushort');
   % rajout pour lire les fichers issus de Capture
   nsamples=fread(fid,1,'ushort'); 
   wav = fread(fid,'short');
end     

fclose(fid);

