function mesurer

% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : mesurer.m
% 
% Permet de rcuprer la valeur d'un point sur une courbe 
% 
% 
% Creation : 11/09/02
% Auteur   : CS
% 
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

handfig2 = findobj('Tag','Fig2');
figure(handfig2);

% Teste si un graphique existe dans la fenetre
graph = findobj(gcf,'Type','axes');

%on recupre le handle de la fenetre ema
handle_face = findobj('Tag','plot_face');
handle_profil = findobj('Tag','plot_profil');

% On rcupre les donnes dans la variable Userdata
ABS = get(handle_face,'UserData');
P1P2C = get(handle_profil,'UserData');

% Attend que l'utilisateur ait click sur la zone  zoomer
% puis retourne les coordonnes
[pos_x,pos_y,bouton] = ginput(1);
current_axe = get(gca,'Tag');

while (bouton == 1)
    valeur_X = round(pos_x);
    val_X = ['X = ', num2str(valeur_X)];
   color = get(gco,'Color');
    if color == [1 0 0]
        ind = 1;
        croix = 'r+';
    elseif color == [0 1 0]
        ind = 2;
        croix = 'g+';
    elseif color == [0 0 1]
        ind = 3;
        croix = 'b+';
    else
        msgbox('Vous devez cliquer sur la courbe !!','Erreur','error');
        beep;
        break;
    end
    if strcmp(current_axe,'plot_face')
        valeur_Y = ABS(ind,valeur_X);
        val_Y = ['Y = ', num2str(valeur_Y)];
        h = plot(valeur_X, valeur_Y, croix);
        legend(handle_face,val_X, val_Y);
        %legend(handle_face,'boxoff');
        legend(handle_profil,'off');
    elseif strcmp(current_axe,'plot_profil')
        valeur_Y = P1P2C(ind,valeur_X);
        val_Y = ['Y = ', num2str(valeur_Y)];
        h = plot(valeur_X, valeur_Y, croix);
        legend(handle_profil,val_X, val_Y);
        %legend(handle_profil,'boxoff');
        legend(handle_face,'off');
    else
        msgbox('Vous devez cliquer sur une courbe face ou profil !!','Erreur','error');
        beep;
        break;
    end
    
    [pos_x,pos_y,bouton] = ginput(1);
    current_axe = get(gca,'Tag');

    % On efface les marqueurs
    set(h,'visible','off'); 
end

legend(handle_face,'off');
legend(handle_profil,'off');
