function start()

% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%	Nom : start													
%	SUBROUTINE du programme atac
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%														
%	date : 20 octobre 1999
%	auteur : Christophe Savariaux								
% 	ICP - Grenoble		
%								
%  Modifs : 
%   le 02/02/2001 par CS : 
%       on supprime la gestion des erreurs de capture
%       on supprime le delai pour les fichiers wav
%   le 27/08/02, CS:
%       modification de l'interface pour zomm uniquement via trames
%       ne charge plus un fichier deja charg
%   le 20/02/03, CS :
%       on rentre les chemins complets pour les .tac et .wav
%   le 08/01/04, CS :
%       modification du dezoom et passage des parametres deb et fin en global
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
global V TC NL deb fin V signal fe dec lg_tram nom_old;
global zoom_prec_deb zoom_prec_fin nb_zoom


% Recuperation des handle des boutons
% gestion des fichiers
hand_nom_tac = findobj('Tag','nom_rep_tac');
hand_nom_wav = findobj('Tag','nom_rep_wav');

% Test si c'est un fichier a tahar
%hand_tahar = findobj('Tag','chk_tahar');
%flag_tahar = get(hand_tahar,'value');
flag_tahar =0;

% gestion des TC pour le repere
hand_TC_lgn_heur = findobj('Tag','TC_lgn_heur');
hand_TC_lgn_min = findobj('Tag','TC_lgn_min');
hand_TC_lgn_sec = findobj('Tag','TC_lgn_sec');
hand_TC_lgn_img = findobj('Tag','TC_lgn_ima');
hand_TC_lgn_tram = findobj('Tag','TC_lgn_tram');
hand_TC_lgn_num_tram = findobj('Tag','TC_lgn_num_trames');

% Parametres  visualiser
hand_chk_A = findobj('Tag','chk_A');
hand_chk_B = findobj('Tag','chk_B');
hand_chk_S = findobj('Tag','chk_S');
hand_chk_P1 = findobj('Tag','chk_P1');
hand_chk_P2 = findobj('Tag','chk_P2');
hand_chk_C = findobj('Tag','chk_C');
hand_chk_autre = findobj('Tag','chk_autre');
hand_chk_sig = findobj('Tag','chk_sig');
flag_A = get(hand_chk_A,'value');
flag_B = get(hand_chk_B,'value');
flag_S = get(hand_chk_S,'value');
flag_P1 = get(hand_chk_P1,'value');
flag_P2 = get(hand_chk_P2,'value');
flag_C = get(hand_chk_C,'value');
flag_autre = get(hand_chk_autre,'value');
flag_sig = get(hand_chk_sig,'value');

% Visualisation / zoom
hand_flag_zoom = findobj('Tag','chk_zoom');
flagzoom = get(hand_flag_zoom,'value');
hand_TC_deb = findobj('Tag','TC_deb');
hand_TC_fin = findobj('Tag','TC_fin');
hand_zoom_deb = findobj('Tag','zoom_deb');
hand_zoom_fin = findobj('Tag','zoom_fin');
hand_trame_deb = findobj('Tag','trame_deb');
hand_trame_fin = findobj('Tag','trame_fin');
hand_Nb_trames = findobj('Tag','Nb_trames');
deb_zoom_trame = str2num(get(hand_trame_deb,'string'));
fin_zoom_trame = str2num(get(hand_trame_fin,'string'));
hand_plot_trait = findobj('Tag','plot_trait');
flag_plot_trait = get(hand_plot_trait,'value');

% Repre visuel
hand_chk_line = findobj('Tag','chk_line');
flag_line = get(hand_chk_line,'value');
   
% LECTURE DU NOM DE FICHIER et du chemin
nomfich_t = get(hand_nom_tac, 'string');
nomfich_w = get(hand_nom_wav, 'string');

% On teste s'il y a une extension
if strcmp(nomfich_t(length(nomfich_t)-3:length(nomfich_t)),'.tac') % il y a deja l'extension
    %nomfich_tac = [chemin nomfich];
    nomfich_tac = nomfich_t;
    % on supprime l'extension pour le fichier wav
    %nomfich = nomfich(1:length(nomfich)-4);
else
   % On construit la chaine du fichier
   %nomfich_tac = [chemin nomfich, '.tac'];
   nomfich_tac = [nomfich_t, '.tac'];
end

% Lecture DES DONNEES
if isempty(nom_old) | ~strcmp(nom_old, nomfich_tac) % on teste pour ne pas recharger un fichier deja charg
   
   % on charge les parametres du fichier (.tac)
   [V, TC, NL, Nb_err, TC_err] = charge_tacle(nomfich_tac);
   nom_old = nomfich_tac;
   
   if flag_sig
        % On teste s'il y a une extension
    if strcmp(nomfich_w(length(nomfich_w)-3:length(nomfich_w)),'.wav') % il y a deja l'extension
        % on charge le fichier son
        %fichier_wav = [chemin nomfich, '.wav'];
        fichier_wav = nomfich_w;
    else
        fichier_wav = [nomfich_w, '.wav'];
    end
      [signal, fe] = charge_wav(fichier_wav);
      LA = length(signal);
   end
end;

%on definit le zoom de base
nb_zoom = 1;
zoom_prec_deb = 1;
zoom_prec_fin = NL;

  
    % Lecture des TC de debut et de fin du fichier 
    str_TCdeb = num2str(TC(1,1:4));
    str_TCfin = num2str(TC(NL,1:4));
    
    if TC(1,5)
        str_TCdeb = [str_TCdeb '  B'];
    else
        str_TCdeb = [str_TCdeb '  A'];
    end
    
    if TC(NL,5)
        str_TCfin = [str_TCfin '  B'];
    else
        str_TCfin = [str_TCfin '  A'];
    end
    TC_heur = 0; TC_min = 0; TC_sec = 0; TC_img = 0;

% Test si on demande un zoom
if flagzoom
    deb = deb_zoom_trame;
    fin = fin_zoom_trame;
 
    % On convertit le num de debut de trame en TC
    repTC = deb-1; % pour etre en accordance avec les images qui commencent  0
    if rem(repTC,2)
        TCdeb_tram = '  B';
    else
        TCdeb_tram = '  A';
    end

   repTC = floor(repTC/2);
   % on traite le reste
   sec = 25;
   min = sec*60;
   heur = min*60;
   
   if repTC > heur % si c'est suprieur  1 heure
        TC_heur = floor(repTC/heur);
        repTC = mod(repTC, heur);
   elseif repTC > min % si c'est suprieur  la minute
        TC_min = floor(repTC/min);
        repTC = mod(repTC, min);
   else
       TC_sec = floor(repTC/sec);
       TC_img = mod(repTC, sec);
   end
   % on ajoute au TC de debut
   TCdeb_heur = TC(1,1) + TC_heur;
   TCdeb_min = TC(1,2) + TC_min;
   TCdeb_sec = TC(1,3) + TC_sec;
   TCdeb_img = TC(1,4) + TC_img;
   
   % on verifie s'il y a des debordements
   if TCdeb_img > 24
       TCdeb_img = TCdeb_img - 25;
       TCdeb_sec = TCdeb_sec + 1;
   end
   if TCdeb_sec > 59
       TCdeb_sec = TCdeb_sec - 60;
       TCdeb_min = TCdeb_min + 1;
   end
   if TCdeb_min > 59
       TCdeb_min = TCdeb_min - 60;
       TCdeb_heur = TCdeb_heur +1
   end
    str_zoom_TCdeb = [num2str([TCdeb_heur TCdeb_min TCdeb_sec TCdeb_img]) TCdeb_tram];
    
    % On convertit le num de fin de trame en TC
    repTC = fin-1; % pour etre en accordance avec les images qui commencent  0
    if rem(repTC,2)
        TCfin_tram = ' B';
    else
        TCfin_tram = ' A';
    end

    repTC = floor(repTC/2);
   % on traite le reste
   sec = 25;
   min = sec*60;
   heur = min*60;
   
   if repTC > heur % si c'est suprieur  1 heure
        TC_heur = floor(repTC/heur);
        repTC = mod(repTC, heur);
   elseif repTC > min % si c'est suprieur  la minute
        TC_min = floor(repTC/min);
        repTC = mod(repTC, min);
   else
       TC_sec = floor(repTC/sec);
       TC_img = mod(repTC, sec);
   end
   % on ajoute au TC de debut
   TCfin_heur = TC(1,1) + TC_heur;
   TCfin_min = TC(1,2) + TC_min;
   TCfin_sec = TC(1,3) + TC_sec;
   TCfin_img = TC(1,4) + TC_img;
   
   % on verifie s'il y a des debordements
   if TCfin_img > 24
       TCfin_img = TCfin_img - 25;
       TCfin_sec = TCfin_sec + 1;
   end
   if TCfin_sec > 59
       TCfin_sec = TCfin_sec - 60;
       TCfin_min = TCfin_min + 1;
   end
   if TCfin_min > 59
       TCfin_min = TCfin_min - 60;
       TCfin_heur = TCfin_heur +1
   end
    str_zoom_TCfin = [num2str([TCfin_heur TCfin_min TCfin_sec TCfin_img]) TCfin_tram];
else
    deb = 1;
    fin = NL;
    str_zoom_TCdeb = str_TCdeb;
    str_zoom_TCfin = str_TCfin;
end


% Test si on rajoute un dlai au fichier wav
%dec = str2num(get(hand_delai,'string'));
%dec = 0 ; 

% On affiche sur l'interface les valeurs trouves
set(hand_Nb_trames,'string',fin-deb+1);
set(hand_TC_deb,'string',str_TCdeb);
set(hand_zoom_deb,'string',str_zoom_TCdeb);
set(hand_zoom_fin,'string',str_zoom_TCfin);
set(hand_TC_fin,'string',str_TCfin);
set(hand_trame_deb,'string',deb);
set(hand_trame_fin,'string',fin);

% Reprage visuel
% on recupere l'endroit via le numro de trames
if flag_line

    rep1 = str2num(get(hand_TC_lgn_num_tram,'string')); 
    % on teste si le repere est correct
    if rep1 > NL
    errordlg('Numro de trame trop grand !!','Erreur','on');
    return;
    end

    % On convertit le num de trame en TC
    repTC = rep1-1; % pour etre en accordance avec les images qui commencent  0
    if rem(repTC,2)
        set(hand_TC_lgn_tram,'string','B');
    else
        set(hand_TC_lgn_tram,'string','A');
    end
    repTC = floor(repTC/2);
   % on traite le reste
   sec = 25;
   min = sec*60;
   heur = min*60;
   
   if repTC > heur % si c'est suprieur  1 heure
        TC_heur = floor(repTC/heur);
        repTC = mod(repTC, heur);
   elseif repTC > min % si c'est suprieur  la minute
        TC_min = floor(repTC/min);
        repTC = mod(repTC, min);
   else
       TC_sec = floor(repTC/sec);
       TC_img = mod(repTC, sec);
   end

   % on ajoute au TC de debut
   TCrep_heur = TC(1,1) + TC_heur;
   TCrep_min = TC(1,2) + TC_min;
   TCrep_sec = TC(1,3) + TC_sec;
   TCrep_img = TC(1,4) + TC_img;
   
   % on verifie s'il y a des debordements
   if TCrep_img > 24
       TCrep_img = TCrep_img - 25;
       TCrep_sec = TCrep_sec + 1;
   end
   if TCrep_sec > 59
       TCrep_sec = TCrep_sec - 60;
       TCrep_min = TCrep_min + 1;
   end
   if TCrep_min > 59
       TCrep_min = TCrep_min - 60;
       TCrep_heur = TCrep_heur +1
   end
   
   % on remet a jour l'interface
   set(hand_TC_lgn_heur,'string',num2str(TCrep_heur));
   set(hand_TC_lgn_min,'string',num2str(TCrep_min));
   set(hand_TC_lgn_sec,'string',num2str(TCrep_sec));
   set(hand_TC_lgn_img,'string',num2str(TCrep_img));
else
   rep1 = 0;
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%	

% AFFICHAGES

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%	
% on definit le titre de la fenetre
hand_titre_fen = findobj('Tag','titre_fen');
%nom_tac = [nomfich_tac;
set(hand_titre_fen,'Visible','on','string',nomfich_tac);

% Dure d'une trame video en ms
Tv = 20;
%longueur d'une trame en echantillon
lg_tram = Tv*fe/1000;

% On cherche les handle de tous les axes
handle_face = findobj('Tag','plot_face');
axes(handle_face);
cla;
handle_profil = findobj('Tag','plot_profil');
axes(handle_profil);
cla;
handle_Sig = findobj('Tag','AxeSignal');
axes(handle_Sig);
cla;
hand_tit_face = findobj('Tag','titre_face');
hand_tit_profil = findobj('Tag','titre_profil');
hand_tit_sig = findobj('Tag','titre_sig');
set(hand_tit_face,'Visible', 'Off');
set(hand_tit_profil,'Visible', 'Off');

% PLOT DE A B S
if flag_A | flag_B | flag_S
   axes(handle_face);
   set(handle_face,'UserData',V(1:3,:));
   titre = '';
   cla;
   hold on;
 if flag_plot_trait % on dessine des traits
   if flag_A
      plot((deb:fin),V(1,deb:fin), 'r'); % dessin de A
      titre = [titre 'A(rouge) '];
   end
   if flag_B
      plot((deb:fin),V(2,deb:fin), 'g'); % dessin de B
      titre = [titre 'B(vert) '];
   end
   if flag_S
      plot((deb:fin),V(3,deb:fin), 'b'); % dessin de S
      titre = [titre 'S(bleu) '];   
   end
else % On dessine des points
    if flag_A
      plot((deb:fin),V(1,deb:fin), 'r.'); % dessin de A
      titre = [titre 'A(rouge) '];
   end
   if flag_B
      plot((deb:fin),V(2,deb:fin), 'g.'); % dessin de B
      titre = [titre 'B(vert) '];
   end
   if flag_S
      plot((deb:fin),V(3,deb:fin), 'b.'); % dessin de S
      titre = [titre 'S(bleu) '];   
   end
end

   ylim = get(gca,'ylim');
   set(gca,'xlim',[deb fin]);
   
   % affiche le titre de la fenetre
   set(hand_tit_face,'String',titre,'Visible', 'On');
   % test pour afficher les reperes
   if flag_line
      LimY = get(gca,'ylim')';
      bidon = line([rep1; rep1], LimY, 'color', 'k');
   end
end


% PLOT DE P1 P2 C
if flag_P1 | flag_P2 | flag_C  
   axes(handle_profil);
   set(handle_profil,'UserData',V(4:6,:));
   titre = '';
   cla;
   hold on;
 if flag_plot_trait % on dessine des traits
   if flag_P1
    %plot((deb:fin),V(4,deb:fin), 'r'); % dessin de P1
    plot((deb:fin),V(8,deb:fin), 'r'); % dessin de A'
    titre = [titre 'P1(rouge) '];
   end
   if flag_P2
     %plot((deb:fin),V(5,deb:fin), 'g'); % dessin de P2
     plot((deb:fin),V(9,deb:fin), 'g'); % dessin de B'
     titre = [titre 'P2(vert) '];
   end
   if flag_C
     %plot((deb:fin),V(6,deb:fin), 'b'); % dessin de C
      plot((deb:fin),V(10,deb:fin), 'b'); % dessin de S'
      titre = [titre 'C(bleu) '];
   end
else
   if flag_P1
    plot((deb:fin),V(4,deb:fin), 'r.'); % dessin de P1
    titre = [titre 'P1(rouge) '];
   end
   if flag_P2
      plot((deb:fin),V(5,deb:fin), 'g.'); % dessin de P2
      titre = [titre 'P2(vert) '];
   end
   if flag_C
      plot((deb:fin),V(6,deb:fin), 'b.'); % dessin de C
      titre = [titre 'C(bleu) '];
   end
end

   ylim = get(gca,'ylim');
   set(gca,'xlim',[deb fin]);

   % affiche le titre de la fenetre
   set(hand_tit_profil,'String',titre,'Visible', 'On');
   
   % test pour afficher les reperes
   if flag_line
      LimY = get(gca,'ylim')';
      bidon = line([rep1; rep1], LimY, 'color', 'k');
   end
end

% plot de Autre
if flag_autre 
   offset = 8; % pour un affichage avec des echelles du meme ordre
   axes(handle_profil);
   set(handle_profil,'UserData',V(4:6,:));
   titre = '';
   cla;
   hold on;
 if flag_plot_trait % on dessine des traits
    %plot((deb:fin),V(17,deb:fin), 'r'); % dessin de Xg face
    %titre = [titre 'Xg(rouge) '];
    plot((deb:fin),offset + V(18,deb:fin), 'g'); % dessin de Yg face
    %hold on;
    titre = [titre 'Yg(vert) '];
    %plot((deb:fin),V(20,deb:fin), 'c'); % dessin de Xautre
    %titre = [titre 'Xa(cyan) '];
    plot((deb:fin),abs(V(20,deb:fin)-V(18,deb:fin)), 'b'); % dessin de Yautre
    titre = [titre 'Yg-Ya(bleu) '];
else
    %plot((deb:fin),V(17,deb:fin), 'r.'); % dessin de Xg face
    %titre = [titre 'Xg(rouge) '];
    plot((deb:fin),offset + V(18,deb:fin), 'g.'); % dessin de Yg face
    %hold on;
    titre = [titre 'Yg(vert) '];
    %plot((deb:fin),V(20,deb:fin), 'c.'); % dessin de Xautre
    %titre = [titre 'Xa(cyan) '];
    plot((deb:fin),abs(V(20,deb:fin)-V(18,deb:fin)), 'b.'); % dessin de Yautre
    titre = [titre 'Yg-Ya(bleu) '];
end

   ylim = get(gca,'ylim');
   set(gca,'xlim',[deb fin]);

   % affiche le titre de la fenetre
   set(hand_tit_profil,'String',titre,'Visible', 'On');
   
   % test pour afficher les reperes
   if flag_line
      LimY = get(gca,'ylim')';
      bidon = line([rep1; rep1], LimY, 'color', 'k');
   end
end

% PLOT du Signal
if flag_sig
   axes(handle_Sig);
   cla;
   hold on;
   titre = 'Signal acoustique';
   plot((((((deb-1)*lg_tram + 1) : fin*lg_tram) - 1)*1000/fe/Tv + 1), signal(((deb-1)*lg_tram + 1) : fin*lg_tram),'b');
    
   ylim = get(gca,'ylim');
   set(gca,'xlim',[deb fin]);

   % test pour afficher les reperes
   if flag_line
      LimY = get(gca,'ylim')';
      bidon = line([rep1; rep1], LimY, 'color', 'k');
   end
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%else % flag_tahar = 1
   % LECTURE DU NOM DE FICHIER DE SAUVEGARDE et du chemin
   %nomfich = get(hand_nom, 'string');
   %chemin = get(hand_chemin, 'string');
   
   %   nomfich_lmt = [chemin nomfich, '.lmt'];
   
   % Lecture DES DONNEES
   % on charge les parametres du fichier lmv et les contours (.asc)
   %   [V, TC, NL] = charge_tahar(nomfich_lmt);
      
   % on charge le fichier son
   %   fichier_wav = [chemin nomfich, '.wav'];
   %   [signal, fe] = charge_wav(fichier_wav);
   %   LA = length(signal);
   
   %deb = 1;
   %fin = NL;
   %set(hand_Nb_trames,'string',NL);
   %set(hand_TC_deb,'string',0);
   %set(hand_TC_fin,'string',0);
   

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%	

% AFFICHAGES

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%	
% on definit le titre de la fenetre
%nom_lmt = [nomfich, '.lmt'];
%set(hand_titre_fen,'Visible','on','string',nom_lmt);

% Dure d'une trame video en ms
%Tv = 20;

% On cherche les handle de tous les axes
%handle_face = findobj('Tag','plot_face');
%handle_profil = findobj('Tag','plot_profil');
%handleSig = findobj('Tag','AxeSignal');

% On verifie si superposition
%hand_superpose = findobj('Tag','chk_superpose');
%flag_super = get(hand_superpose,'value');
%flag_super = 0;

% PLOT DE A B S
%axes(handle_face);
%if ~flag_super
%   cla;
%end
%hold on;
%if flag_A
%   plot((deb:fin),V(1,deb:fin)/10, 'b'); % dessin de A
%end
%if flag_B
%   plot((deb:fin),V(2,deb:fin)/10, 'r'); % dessin de B
%end
%if flag_S
%   plot((deb:fin),V(3,deb:fin)/100, 'v'); % dessin de S
%end

%ylim = get(gca,'ylim');
%set(gca,'xlim',[deb fin]);

% PLOT DE P1 P2 C
%axes(handle_profil);
%if ~flag_super
%   cla;
%end
%hold on;
%if flag_P1
%   plot((deb:fin),V(4,deb:fin)/10, 'b'); % dessin de P1
%end
%if flag_P2
%   plot((deb:fin),V(6,deb:fin)/10, 'r'); % dessin de P2
%end
%if flag_C
%   plot((deb:fin),V(8,deb:fin)/10, 'v'); % dessin de C
%end

%ylim = get(gca,'ylim');
%set(gca,'xlim',[deb fin]);
   
%end % if flag_tahar = 0

