function [Nb_err, TC_err] = verif_tac(nom_fich);

% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%	FUNCTION du programme plot_tac, charge les valeurs des 
%  paramtres vido issus de tacle
%
%  Exemple :
%     [Nb_err, TC_err] = verif_tac('d:\tacle\denis\ybybyz_norm.tac');
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%														
%	date : 16 juin 2000
%	auteur : Christophe Savariaux								
% 	ICP - Grenoble		
%														
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

fin=fopen(nom_fich,'r');

if (fin == -1)
   errordlg('Pb a l''ouverture du fichier de parametres (.tac) !!!!','Erreur','on');
   TC_err = 0; Nb_err = 0;
   return;
end

% On saute les 7 premieres lignes
for i=1:7
   fgetl(fin);
end

NbLignes = 0;
Nb_err = 0;
TC_err = [];

while 1
   NbLignes = NbLignes + 1;
   TC_tmp(:,NbLignes) = fscanf(fin, '%c', 11); % on recupere le time-code
   Trame_tmp(:,NbLignes) = fscanf(fin, '%c', 2); % on recupere la trame
   if (Trame_tmp(2,NbLignes) == 'A') % rcupre la trame 0 si A, 1 si B
      Trame = 0;
   else
      Trame = 1;
   end
   TC(NbLignes,:)= [10*str2num(TC_tmp(4,NbLignes))+str2num(TC_tmp(5,NbLignes)) 10*str2num(TC_tmp(7,NbLignes))+str2num(TC_tmp(8,NbLignes)) ...
         10*str2num(TC_tmp(10,NbLignes))+str2num(TC_tmp(11,NbLignes)) Trame];
   Val(:,NbLignes) = fscanf(fin, '%f', 34); % on recupere les valeurs
   saut = fscanf(fin, '%c', 2); % on saute les caracteres de fin de ligne
   
   % on teste si on est a la fin du fichier
   fscanf(fin, '%c', 1);
   if (feof(fin) == 1) % on sort
      break
   else      % sinon on recule d'un element
      fseek(fin,-1,0);
   end   
end
fclose(fin);

for i = 1:NbLignes-8
   if (Val(1:3,i)==Val(1:3,i+8)) & (Val(1:3,i)~=0)
     Nb_err = Nb_err+1;
     TC_err(Nb_err,:) = TC(i+8,:);
   end
end


